Bug 522928 - can't log-in to accounts via gdm since x-org update
Summary: can't log-in to accounts via gdm since x-org update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 09:09 UTC by morgan read
Modified: 2009-09-25 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 22:05:01 UTC


Attachments (Terms of Use)
See Comment #2 above (3.49 KB, text/plain)
2009-09-19 08:29 UTC, morgan read
no flags Details
See Comment #2 above (2.68 KB, text/plain)
2009-09-19 08:30 UTC, morgan read
no flags Details
See Comment #2 above (2.65 KB, text/plain)
2009-09-19 08:31 UTC, morgan read
no flags Details
Xorg log (44.14 KB, application/octet-stream)
2009-09-19 08:44 UTC, morgan read
no flags Details
dmesg (29.90 KB, application/octet-stream)
2009-09-19 08:48 UTC, morgan read
no flags Details

Description morgan read 2009-09-12 09:09:52 UTC
Description of problem:
* The appearance of this seems to coincide with x-org update yesterday, thus the component selection - please reassign if not correct
* Attempting to log into accounts under gnome seems to cause gdm/x-org to crash and exit back out to gdm greater/ log-in screen
* Occurs always re one account (i.e. can't log in under gnome!!!) and occurs approx 4 out of 5 for the othere

Version-Release number of selected component (if applicable):
$ rpm -q xorg-x11-server-common
xorg-x11-server-common-1.6.3-4.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Ran update 11/09/09
2. Attempt to log-in
3. That's it
  
Actual results:
Can't log-in

Expected results:
Log-in

Additional info:
Major issue - considered "urgent", but I'll leave that to someone else.

Comment 1 morgan read 2009-09-13 08:56:08 UTC
* I enable root login via gdm (it's what I've always done)
* I can login as root with out isssues - so perhaps this might be a permissions bungle somewhere?
* Still, repeatedly unable to login via any (of 2) of my non-privileged accounts, with success requiring many retries on one account and being unable to login on the other

Comment 2 morgan read 2009-09-19 08:27:51 UTC
Please
Please
Please
Can someone post some pointers - I have NOT been able to login for over a week now - it takes me 3 to 8 attempts to login to my alternative account.

When I log in as root, selinux reports the following errors.  Perhaps they give a some pointers?

Comment 3 morgan read 2009-09-19 08:29:52 UTC
Created attachment 361745 [details]
See Comment #2 above

Comment 4 morgan read 2009-09-19 08:30:41 UTC
Created attachment 361746 [details]
See Comment #2 above

Comment 5 morgan read 2009-09-19 08:31:21 UTC
Created attachment 361747 [details]
See Comment #2 above

Comment 6 morgan read 2009-09-19 08:44:57 UTC
Created attachment 361748 [details]
Xorg log

Xorg log in case it's of use

Comment 7 morgan read 2009-09-19 08:48:42 UTC
Created attachment 361749 [details]
dmesg

dmesg in case it's of use

Comment 8 udo 2009-09-21 14:37:55 UTC
Compiz? 1.6.4.* should fix that I read in https://bugzilla.redhat.com/show_bug.cgi?id=518748

Comment 9 morgan read 2009-09-25 22:02:48 UTC
Yes, fixed as above.

Comment 10 morgan read 2009-09-25 22:05:01 UTC
Closing same as:
https://bugzilla.redhat.com/show_bug.cgi?id=518748


Note You need to log in before you can comment on or make changes to this bug.